"mention" notifications on Meta don't work for ns0
Closed, ResolvedPublic

Description

"mention" notifications (one's userpage being linked) on Meta don't work for the main namespace, which however hosts some important discussion and request pages there.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=54433

bzimport added projects: Echo, Easy.Via ConduitNov 22 2014, 2:18 AM
bzimport set Reference to bz55491.
MF-Warburg created this task.Via LegacyOct 9 2013, 12:50 AM
Legoktm added a comment.Via ConduitOct 9 2013, 12:56 AM

The issue here is that it's hardcoded for talk namespaces and NS_PROJECT. We probably need some kind of configuration variable to modify it.

Echo/Hooks.php:455 if ( $title->isTalkPage() || $title->inNamespace( NS_PROJECT ) ) {

PiRSquared17 added a comment.Via ConduitOct 11 2013, 9:54 PM

(In reply to comment #1)

The issue here is that it's hardcoded for talk namespaces and NS_PROJECT. We
probably need some kind of configuration variable to modify it.

Echo/Hooks.php:455 if ( $title->isTalkPage() ||
$title->inNamespace( NS_PROJECT ) ) {

Is there any reason it needs to be restricted to certain namespaces at all?

Spage added a comment.Via ConduitOct 17 2013, 5:15 PM

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/326, but people from the community are welcome to contribute here and in Gerrit.

gerritbot added a comment.Via ConduitNov 4 2013, 5:58 PM

Change 93508 had a related patch set uploaded by Gerrit Patch Uploader:
Remove namespace restriction for mention notifications

https://gerrit.wikimedia.org/r/93508

Legoktm added a comment.Via ConduitNov 12 2013, 12:27 AM
  • Bug 56919 has been marked as a duplicate of this bug. ***
Spinningspark added a comment.Via ConduitNov 12 2013, 12:54 AM

Just to note that there is a need for notifications in the template namespace as well. Wikipedia DYK makes extensive use of this namespace for reviews.

Dereckson added a comment.Via ConduitNov 12 2013, 11:43 AM

@Spinningspark the current patch address the notifications triggered by a signature.

Previous behavior: only on NS_PROJECT (Wikipedia:) and on every talk namespaces.
Patch behavior: everywhere

I offered in comments to make this configurable.

If the patch is merged as is, template namespace will be covered.
If my solution is used, the following configuration will be needed:

$wgEchoNotifications['baseNamespaces'] = array(

default => array(
    NS_PROJECT
),

metawiki => array(
    NS_PROJECT,
    NS_MAIN, //bug 55491
),

enwiki => array(
    NS_PROJECT,
    NS_TEMPLATE, //bug 55491
),

);

Spinningspark added a comment.Via ConduitNov 12 2013, 12:25 PM

I don't see any reason why it should be made configurable. Why would we not want notifications from particular namespaces? If my name were to be linked in article space I would certainly want to know about it top priority above everything else. Perhaps that case could be implemented as a big orange bar at the top of the page (alright, perhaps not :) ).

MZMcBride added a comment.Via ConduitNov 12 2013, 1:20 PM

(In reply to comment #8)

I don't see any reason why it should be made configurable. Why would we not
want notifications from particular namespaces?

Edge cases, I imagine. But we should test it out and see what happens, in my opinion.

Spinningspark added a comment.Via ConduitNov 12 2013, 1:53 PM

(In reply to comment #9)

(In reply to comment #8)
> I don't see any reason why it should be made configurable. Why would we not
> want notifications from particular namespaces?

Edge cases, I imagine. But we should test it out and see what happens, in my
opinion.

Edge cases are likely to be specific pages rather than entire namespaces.

MZMcBride added a comment.Via ConduitNov 12 2013, 1:55 PM

(In reply to comment #10)

Edge cases are likely to be specific pages rather than entire namespaces.

Sure, but... bug 50628. :-)

MF-Warburg added a comment.Via ConduitJan 4 2014, 11:15 PM

What is hindering the approval of this patch? I see more and more that people are trying to ping each other on the main or project ns'es.

MZMcBride added a comment.Via ConduitJan 5 2014, 4:27 AM

(In reply to comment #12)

What is hindering the approval of this patch? I see more and more that people
are trying to ping each other on the main or project ns'es.

https://gerrit.wikimedia.org/r/93508 needs to be updated and merged. I just bumped the changeset.

Billinghurst added a comment.Via ConduitFeb 13 2014, 10:21 PM

shake shake shake shake shake. One month later since last shaking

MZMcBride added a comment.Via ConduitFeb 14 2014, 6:32 AM

Who's maintaining Echo?

Aklapper added a comment.Via ConduitFeb 14 2014, 1:46 PM

(In reply to MZMcBride from comment #15)

Who's maintaining Echo?

See https://www.mediawiki.org/wiki/Developers/Maintainers (might be outdated); http://www.mediawiki.org/wiki/Extension:Echo ?

gerritbot added a comment.Via ConduitFeb 22 2014, 5:07 AM

Change 93508 merged by jenkins-bot:
Remove namespace restriction for mention notifications

https://gerrit.wikimedia.org/r/93508

Legoktm added a comment.Via ConduitFeb 22 2014, 5:30 AM

Will go out with 1.23wmf16.

Add Comment